### Method

# AppStreamCompose Result get_component

#### Declaration [src]

    AsComponent*
    asc_result_get_component (
      AscResult* result,
      const gchar* cid
    )

#### Description [src]

Gets the component by its component-id-

#### Parameters

`cid`

  Type: `const gchar*`

  Component ID to look for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsComponent`

An `AsComponent`.

The data is owned by the instance.